> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Product Types Csv

> Export product types as CSV.

**Authentication Required**: Requires `product_type:read` permission.

Returns a CSV file with columns: key, name, description_en, category_key, properties.
Properties are pipe-delimited property keys.



## OpenAPI

````yaml /openapi/merchantops-public.json get /api/product-types/export-csv
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/product-types/export-csv:
    get:
      tags:
        - Product Types
      summary: Export Product Types Csv
      description: >-
        Export product types as CSV.


        **Authentication Required**: Requires `product_type:read` permission.


        Returns a CSV file with columns: key, name, description_en,
        category_key, properties.

        Properties are pipe-delimited property keys.
      operationId: export_product_types_csv
      parameters:
        - description: Filter by active status
          in: query
          name: is_active
          required: false
          schema:
            default: true
            description: Filter by active status
            title: Is Active
            type: boolean
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````